package com.loafle.overflow.module.member.service;

import com.loafle.overflow.module.member.model.Member;
import com.loafle.overflow.module.meta.model.MetaMemberStatus;
import com.loafle.overflow.spring.AppConfig;
import com.loafle.overflow.spring.JdbcConfiguration;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Date;

/**
 * Created by insanity on 17. 6. 28.
 */
@Ignore
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class MemberServiceTest {
    @Autowired
    MemberService memberService;

    @Test
    public void regist() throws Exception {
        Member m = new Member();
        m.setPw("rawPassword");
        m.setStatus(new MetaMemberStatus((short)1));
        m.setCreateDate(new Date());
        m.setCompanyName("Loafle");
        m.setEmail("of@loafle.com");
        m.setName("oF");
        m.setPhone("00000000");

        Member res = this.memberService.signup(m);
        Assert.assertNotNull(res);
    }


}
