package com.loafle.overflow.module.target.service;

import com.loafle.overflow.module.infra.model.Infra;
import com.loafle.overflow.module.probe.model.Probe;
import com.loafle.overflow.module.target.model.Target;
import com.loafle.overflow.spring.AppConfig;
import com.loafle.overflow.spring.JdbcConfiguration;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Date;

/**
 * Created by insanity on 17. 6. 28.
 */
@Ignore
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class TargetServiceTest {
    @Autowired
    TargetService targetService;

    @Test
    public void regist() throws Exception {
        Target t = new Target();
        t.setCreateDate(new Date());
        Infra infra = new Infra();
        infra.setId(1);
        Probe probe = new Probe();
        probe.setId(1);
        t.setProbe(probe);
        t.setInfra(infra);

        Target res = this.targetService.regist(t);
        Assert.assertNotNull(res);
    }

    @Test
    public void read() throws Exception {
        Target res = this.targetService.read("1");
        Assert.assertNotNull(res);
    }
}
