package com.loafle.overflow.module.probe.service;

import com.loafle.overflow.module.probe.dao.ProbeTaskDAO;
import com.loafle.overflow.module.probe.model.Probe;
import com.loafle.overflow.module.probe.model.ProbeTask;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 6. 28.
 */
@Service("ProbeTaskService")
public class ProbeTaskService {

    @Autowired
    private ProbeTaskDAO probeTaskDAO;

    public void regist(ProbeTask probeTask) {
        this.probeTaskDAO.save(probeTask);
    }

    public List<ProbeTask> readAllByProbe(Probe probe) {
        return this.probeTaskDAO.findAllByProbe(probe);
    }
}
